Error in Create New Channel

I get the following error when creating a new live streaming channel.
please guide me . Thanks

Error :slight_smile:

500 Internal Server Error

Something went wrong…

The error was:

500 Internal Server Error: The server encountered an internal error and was unable to complete your request. Either the server is overloaded or there is an error in the application.

Thats typically caused if their is a discontinuity between ejabberd and OSP’s ejabberd’s admin settings. Follow the first entry on the Common Issues page:

** Known Issues and How to Fix ** - Support - Open Streaming Platform

I’m also getting this error. I’m running mint. 8.7 was working fine. I can’t get 8.8 to get past this. I tried the resetting the ejabberd’s password, but I still get this from osp log when I click on “save” when I try to create a channel:

[2021-04-14 20:09:11 +0100] [22067] [INFO] Starting gunicorn 20.0.4
[2021-04-14 20:09:11 +0100] [22067] [INFO] Listening at: http://0.0.0.0:5007 (22067)
[2021-04-14 20:09:11 +0100] [22067] [INFO] Using worker: geventwebsocket.gunicorn.workers.GeventWebSocketWorker
[2021-04-14 20:09:11 +0100] [22099] [INFO] Booting worker with pid: 22099
[2021-04-14 20:09:11 +0100] [22085] [INFO] Starting gunicorn 20.0.4
[2021-04-14 20:09:11 +0100] [22085] [INFO] Listening at: http://0.0.0.0:5005 (22085)
[2021-04-14 20:09:11 +0100] [22085] [INFO] Using worker: geventwebsocket.gunicorn.workers.GeventWebSocketWorker
[2021-04-14 20:09:11 +0100] [22106] [INFO] Booting worker with pid: 22106
[2021-04-14 20:09:11 +0100] [22086] [INFO] Starting gunicorn 20.0.4
[2021-04-14 20:09:11 +0100] [22086] [INFO] Listening at: http://0.0.0.0:5006 (22086)
[2021-04-14 20:09:11 +0100] [22086] [INFO] Using worker: geventwebsocket.gunicorn.workers.GeventWebSocketWorker
[2021-04-14 20:09:11 +0100] [22107] [INFO] Booting worker with pid: 22107
[2021-04-14 20:09:11 +0100] [22095] [INFO] Starting gunicorn 20.0.4
[2021-04-14 20:09:11 +0100] [22095] [INFO] Listening at: http://0.0.0.0:5008 (22095)
[2021-04-14 20:09:11 +0100] [22095] [INFO] Using worker: geventwebsocket.gunicorn.workers.GeventWebSocketWorker
[2021-04-14 20:09:11 +0100] [22109] [INFO] Booting worker with pid: 22109
[2021-04-14 20:09:11 +0100] [22097] [INFO] Starting gunicorn 20.0.4
[2021-04-14 20:09:11 +0100] [22097] [INFO] Listening at: http://0.0.0.0:5001 (22097)
[2021-04-14 20:09:11 +0100] [22097] [INFO] Using worker: geventwebsocket.gunicorn.workers.GeventWebSocketWorker
[2021-04-14 20:09:11 +0100] [22116] [INFO] Booting worker with pid: 22116
[2021-04-14 20:09:11 +0100] [22102] [INFO] Starting gunicorn 20.0.4
[2021-04-14 20:09:11 +0100] [22102] [INFO] Listening at: http://0.0.0.0:5010 (22102)
[2021-04-14 20:09:11 +0100] [22102] [INFO] Using worker: geventwebsocket.gunicorn.workers.GeventWebSocketWorker
[2021-04-14 20:09:11 +0100] [22120] [INFO] Booting worker with pid: 22120
[2021-04-14 20:09:12 +0100] [22100] [INFO] Starting gunicorn 20.0.4
[2021-04-14 20:09:12 +0100] [22100] [INFO] Listening at: http://0.0.0.0:5000 (22100)
[2021-04-14 20:09:12 +0100] [22100] [INFO] Using worker: geventwebsocket.gunicorn.workers.GeventWebSocketWorker
[2021-04-14 20:09:12 +0100] [22122] [INFO] Booting worker with pid: 22122
[2021-04-14 20:09:12 +0100] [22110] [INFO] Starting gunicorn 20.0.4
[2021-04-14 20:09:12 +0100] [22110] [INFO] Listening at: http://0.0.0.0:5009 (22110)
[2021-04-14 20:09:12 +0100] [22110] [INFO] Using worker: geventwebsocket.gunicorn.workers.GeventWebSocketWorker
[2021-04-14 20:09:12 +0100] [22111] [INFO] Starting gunicorn 20.0.4
[2021-04-14 20:09:12 +0100] [22111] [INFO] Listening at: http://0.0.0.0:5004 (22111)
[2021-04-14 20:09:12 +0100] [22111] [INFO] Using worker: geventwebsocket.gunicorn.workers.GeventWebSocketWorker
[2021-04-14 20:09:12 +0100] [22125] [INFO] Booting worker with pid: 22125
[2021-04-14 20:09:12 +0100] [22126] [INFO] Booting worker with pid: 22126
[2021-04-14 20:09:12 +0100] [22112] [INFO] Starting gunicorn 20.0.4
[2021-04-14 20:09:12 +0100] [22112] [INFO] Listening at: http://0.0.0.0:5003 (22112)
[2021-04-14 20:09:12 +0100] [22112] [INFO] Using worker: geventwebsocket.gunicorn.workers.GeventWebSocketWorker
[2021-04-14 20:09:12 +0100] [22128] [INFO] Booting worker with pid: 22128
[2021-04-14 20:09:12 +0100] [22117] [INFO] Starting gunicorn 20.0.4
[2021-04-14 20:09:12 +0100] [22117] [INFO] Listening at: http://0.0.0.0:5002 (22117)
[2021-04-14 20:09:12 +0100] [22117] [INFO] Using worker: geventwebsocket.gunicorn.workers.GeventWebSocketWorker
[2021-04-14 20:09:12 +0100] [22130] [INFO] Booting worker with pid: 22130
[2021-04-14 20:09:43,059] ERROR in app: Exception on /settings/channels [POST]
Traceback (most recent call last):
File “/opt/osp/functions/ejabberdctl.py”, line 37, in ctl
return fn(self.params, payload)
File “/usr/lib/python3.8/xmlrpc/client.py”, line 1109, in call
return self.__send(self.__name, args)
File “/usr/lib/python3.8/xmlrpc/client.py”, line 1450, in __request
response = self.__transport.request(
File “/usr/lib/python3.8/xmlrpc/client.py”, line 1153, in request
return self.single_request(host, handler, request_body, verbose)
File “/usr/lib/python3.8/xmlrpc/client.py”, line 1166, in single_request
resp = http_conn.getresponse()
File “/usr/lib/python3.8/http/client.py”, line 1347, in getresponse
response.begin()
File “/usr/lib/python3.8/http/client.py”, line 307, in begin
version, status, reason = self._read_status()
File “/usr/lib/python3.8/http/client.py”, line 276, in _read_status
raise RemoteDisconnected(“Remote end closed connection without”
http.client.RemoteDisconnected: Remote end closed connection without response

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/usr/local/lib/python3.8/dist-packages/flask/app.py”, line 2447, in wsgi_app
response = self.full_dispatch_request()
File “/usr/local/lib/python3.8/dist-packages/flask/app.py”, line 1952, in full_dispatch_request
rv = self.handle_user_exception(e)
File “/usr/local/lib/python3.8/dist-packages/flask_restplus/api.py”, line 584, in error_router
return original_handler(e)
File “/usr/local/lib/python3.8/dist-packages/flask_cors/extension.py”, line 161, in wrapped_function
return cors_after_request(app.make_response(f(*args, **kwargs)))
File “/usr/local/lib/python3.8/dist-packages/flask/app.py”, line 1821, in handle_user_exception
reraise(exc_type, exc_value, tb)
File “/usr/local/lib/python3.8/dist-packages/flask/_compat.py”, line 39, in reraise
raise value
File “/usr/local/lib/python3.8/dist-packages/flask/app.py”, line 1950, in full_dispatch_request
rv = self.dispatch_request()
File “/usr/local/lib/python3.8/dist-packages/flask/app.py”, line 1936, in dispatch_request
return self.view_functionsrule.endpoint
File “/usr/local/lib/python3.8/dist-packages/flask_login/utils.py”, line 261, in decorated_view
return func(*args, **kwargs)
File “/usr/local/lib/python3.8/dist-packages/flask_security/decorators.py”, line 482, in decorated_view
return fn(*args, **kwargs)
File “/opt/osp/blueprints/settings.py”, line 1040, in settings_channels_page
ejabberd.create_room(newChannel.channelLoc, ‘conference.’ + sysSettings.siteAddress, sysSettings.siteAddress)
File “/opt/osp/functions/ejabberdctl.py”, line 142, in create_room
return self.ctl(‘create_room’, {‘name’: name, ‘service’:service, ‘host’: host})
File “/opt/osp/functions/ejabberdctl.py”, line 40, in ctl
raise Exception(’{}\n{}’.format(self.errors[‘connect’],
Exception: ERROR: cannot connect to the server/the call crashed
Remote end closed connection without response

Yeah, all still associated with the ejabberd connection. Maybe give the server a nice reboot to see if it clears it.

Thanks. I tried that. Still getting this in my ejabberd log. Could this be because I’m on Mint? Like I said 8.7 was working fine, but I can’t get this to run. I also have another friend who has also done this on Mint and also hit the same issue. Do I need to give up on Mint? Thanks .

: 2021-04-16 02:11:40.503 [info] <0.391.0>@ejabberd_listener:accept:273 (<0.624.0>) Accepted connection [::ffff:127.0.0.1]:57734 → [::ffff:127.0.0.1]:4560
2021-04-16 02:11:40.871 [info] <0.391.0>@ejabberd_listener:accept:273 (<0.626.0>) Accepted connection [::ffff:127.0.0.1]:57746 → [::ffff:127.0.0.1]:4560
2021-04-16 02:11:40.991 [info] <0.391.0>@ejabberd_listener:accept:273 (<0.627.0>) Accepted connection [::ffff:127.0.0.1]:57748 → [::ffff:127.0.0.1]:4560
2021-04-16 02:11:41.296 [info] <0.391.0>@ejabberd_listener:accept:273 (<0.628.0>) Accepted connection [::ffff:127.0.0.1]:57760 → [::ffff:127.0.0.1]:4560
2021-04-16 02:11:41.332 [info] <0.391.0>@ejabberd_listener:accept:273 (<0.629.0>) Accepted connection [::ffff:127.0.0.1]:57764 → [::ffff:127.0.0.1]:4560
2021-04-16 02:11:41.512 [info] <0.391.0>@ejabberd_listener:accept:273 (<0.630.0>) Accepted connection [::ffff:127.0.0.1]:57768 → [::ffff:127.0.0.1]:4560
2021-04-16 02:11:41.751 [info] <0.391.0>@ejabberd_listener:accept:273 (<0.631.0>) Accepted connection [::ffff:127.0.0.1]:57776 → [::ffff:127.0.0.1]:4560
2021-04-16 02:11:41.759 [info] <0.391.0>@ejabberd_listener:accept:273 (<0.632.0>) Accepted connection [::ffff:127.0.0.1]:57778 → [::ffff:127.0.0.1]:4560
2021-04-16 02:11:41.826 [info] <0.391.0>@ejabberd_listener:accept:273 (<0.633.0>) Accepted connection [::ffff:127.0.0.1]:57780 → [::ffff:127.0.0.1]:4560
2021-04-16 02:11:42.496 [info] <0.391.0>@ejabberd_listener:accept:273 (<0.634.0>) Accepted connection [::ffff:127.0.0.1]:57792 → [::ffff:127.0.0.1]:4560
2021-04-16 02:11:42.717 [info] <0.391.0>@ejabberd_listener:accept:273 (<0.635.0>) Accepted connection [::ffff:127.0.0.1]:57796 → [::ffff:127.0.0.1]:4560
2021-04-16 02:12:14.207 [error] <0.624.0> CRASH REPORT Process <0.624.0> with 0 neighbours crashed with reason: {module_not_loaded,mod_muc,<<“127.0.0.1”>>} in gen_mod:get_module_opts/2 line 338
2021-04-16 02:12:14.207 [error] <0.568.0> Supervisor ejabberd_xmlrpc_sup had child undefined started with {ejabberd_xmlrpc,start_link,undefined} at <0.624.0> exit with reason {module_not_loaded,mod_muc,<<“127.0.0.1”>>} in gen_mod:get_module_opts/2 line 338 in context child_terminated
2021-04-16 02:12:14.209 [info] <0.391.0>@ejabberd_listener:accept:273 (<0.637.0>) Accepted connection [::ffff:127.0.0.1]:57818 → [::ffff:127.0.0.1]:4560
2021-04-16 02:12:14.233 [error] <0.637.0> CRASH REPORT Process <0.637.0> with 0 neighbours crashed with reason: {module_not_loaded,mod_muc,<<“127.0.0.1”>>} in gen_mod:get_module_opts/2 line 338
2021-04-16 02:12:14.234 [error] <0.568.0> Supervisor ejabberd_xmlrpc_sup had child undefined started with {ejabberd_xmlrpc,start_link,undefined} at <0.637.0> exit with reason {module_not_loaded,mod_muc,<<“127.0.0.1”>>} in gen_mod:get_module_opts/2 line 338 in context child_terminated
2021-04-16 02:12:28.985 [info] <0.391.0>@ejabberd_listener:accept:273 (<0.638.0>) Accepted connection [::ffff:127.0.0.1]:57840 → [::ffff:127.0.0.1]:4560
2021-04-16 02:12:29.010 [error] <0.638.0> CRASH REPORT Process <0.638.0> with 0 neighbours crashed with reason: {module_not_loaded,mod_muc,<<“127.0.0.1”>>} in gen_mod:get_module_opts/2 line 338
2021-04-16 02:12:29.011 [error] <0.568.0> Supervisor ejabberd_xmlrpc_sup had child undefined started with {ejabberd_xmlrpc,start_link,undefined} at <0.638.0> exit with reason {module_not_loaded,mod_muc,<<“127.0.0.1”>>} in gen_mod:get_module_opts/2 line 338 in context child_terminated
2021-04-16 02:12:29.012 [info] <0.391.0>@ejabberd_listener:accept:273 (<0.639.0>) Accepted connection [::ffff:127.0.0.1]:57842 → [::ffff:127.0.0.1]:4560
2021-04-16 02:12:29.040 [error] <0.639.0> CRASH REPORT Process <0.639.0> with 0 neighbours crashed with reason: {module_not_loaded,mod_muc,<<“127.0.0.1”>>} in gen_mod:get_module_opts/2 line 338
2021-04-16 02:12:29.041 [error] <0.568.0> Supervisor ejabberd_xmlrpc_sup had child undefined started with {ejabberd_xmlrpc,start_link,undefined} at <0.639.0> exit with reason {module_not_loaded,mod_muc,<<“127.0.0.1”>>} in gen_mod:get_module_opts/2 line 338 in context child_terminated

Turns out my problem was due to me putting 127.0.0.1 as my host address rather than using my FQDN… From what I can tell this still runs fine on Mint, sorry for suggesting that it does not.